> ## Documentation Index
> Fetch the complete documentation index at: https://docs.transaction.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# Sandbox Mode

> Toggle sandbox mode for testing

Toggle sandbox mode for testing your integration.

<ParamField path="sandboxMode" type="boolean" required>
  Whether to enable sandbox mode
</ParamField>

<ResponseField name="success" type="boolean">
  Indicates if the request was successful
</ResponseField>

<ResponseField name="data" type="object">
  Sandbox mode status
</ResponseField>

## Example Request

```bash theme={null}
curl -X POST https://api.transaction.gg/merchant/sandbox \
  -H "Authorization: Bearer sk_your_secret_key" \
  -H "Content-Type: application/json" \
  -d '{
    "sandboxMode": true
  }'
```

## Example Response

```json theme={null}
{
  "success": true,
  "data": {
    "sandboxMode": true,
    "message": "Sandbox mode enabled"
  }
}
```

## Error Responses

<ResponseExample name="Unauthorized">
  ```json theme={null}
  {
    "success": false,
    "error": {
      "status": 401,
      "code": "UNAUTHORISED",
      "message": "Invalid API key"
    },
    "data": null
  }
  ```
</ResponseExample>
